## org.omg.PortableInterceptor
Class ClientRequestInterceptorHelper

    java.lang.Object
      |
      +--org.omg.PortableInterceptor.ClientRequestInterceptorHelper

public class ClientRequestInterceptorHelper
extends java.lang.Object

Helper class for : ClientRequestInterceptor

Author:
  OpenORB Compiler

Constructor Summary
`ClientRequestInterceptorHelper()`

Method Summary
`static ClientRequestInterceptor` `extract(Any a)` Extract ClientRequestInterceptor from an any
`static java.lang.String` `id()` Return the ClientRequestInterceptor IDL ID
`static void` `insert(Any a, ClientRequestInterceptor t)` Insert ClientRequestInterceptor into an any
`static ClientRequestInterceptor` `narrow(Object obj)` Narrow CORBA::Object to ClientRequestInterceptor
`static ClientRequestInterceptor` `read(InputStream istream)` Read ClientRequestInterceptor from a marshalled stream
`static TypeCode` `type()` Return the ClientRequestInterceptor TypeCode
`static ClientRequestInterceptor` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ClientRequestInterceptor
`static void` `write(OutputStream ostream, ClientRequestInterceptor value)` Write ClientRequestInterceptor into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientRequestInterceptorHelper

    public ClientRequestInterceptorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ClientRequestInterceptor t)

  Insert ClientRequestInterceptor into an any
  Parameters:
    `a` - an any
    `t` - ClientRequestInterceptor value

### extract

    public static ClientRequestInterceptor extract(Any a)

  Extract ClientRequestInterceptor from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ClientRequestInterceptor value

### type

    public static TypeCode type()

  Return the ClientRequestInterceptor TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ClientRequestInterceptor IDL ID
  Returns:
    an ID

### read

    public static ClientRequestInterceptor read(InputStream istream)

  Read ClientRequestInterceptor from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ClientRequestInterceptor value

### write

    public static void write(OutputStream ostream,
                             ClientRequestInterceptor value)

  Write ClientRequestInterceptor into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ClientRequestInterceptor value

### narrow

    public static ClientRequestInterceptor narrow(Object obj)

  Narrow CORBA::Object to ClientRequestInterceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ClientRequestInterceptor Object

### unchecked_narrow

    public static ClientRequestInterceptor unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ClientRequestInterceptor
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ClientRequestInterceptor Object